<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:b="http://bootsfaces.net/ui">
	<html>
	  <h:head>  

    </h:head>
	<body>
	<link type="text/css" href="assets/libs/bootstrap/css/bootstrap.css" rel="stylesheet"/>
  
<div id="Menu">
		<ui:include src="HomeEmployee.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		 <div class="col-md-offset-3 col-lg-5">
		 <div class="widget">
		 <div class="widget-header">
		 <STRONG>ABSENCES</STRONG>
		 </div>
		 <div class="widget-content">
		 <div class="row">
		 <div class="col-md-8"></div>
		 <div class="col-md-4">
		  <h:form>
		 <h:commandLink id="btnsearch"
    action="HomeHRManager"
    styleClass="btn btn-success">
    <i class="icon-search"></i> Search
</h:commandLink>
</h:form>
</div>
</div>
		<h:dataTable value="#{absenceBean.absences}" class="table table-hover table-striped" var="e" >
				<h:column id="c1">
					<f:facet name="header">
						<h:outputText value="id" />
					</f:facet>
					<h:outputText value="#{e.id}" />
					
					
				</h:column>
				<h:column id="c2">
					<f:facet name="header">
						<h:outputText value="date From" />
					</f:facet>
					<h:outputText value="#{e.fromDate}" />
					
				</h:column>
				<h:column id="c3">
					<f:facet name="header">
						<h:outputText value="Date To" />
					</f:facet>
					<h:outputText value="#{e.toDate}" />
					
				</h:column>
				
				<h:column id="c4">
					<f:facet name="header">
						<h:outputText value="Justifed"  />
					</f:facet>
					 
					<h:outputText value="#{e.justified}" class="label label-success" rendered="#{e.isJustified()}" />
					<h:outputText value="#{e.justified}" class="label label-danger" rendered="#{!e.isJustified()}" />
				</h:column>
				<h:column id="c5">
					<f:facet name="header">
						<h:outputText value="Option"  />
					</f:facet>
					<h:form>
		  
           <p:commandLink value=""  styleClass="fa fa-edit" onclick="PF('dlg2').show();" /> 
           

</h:form>
				</h:column>
		
				
				
		</h:dataTable>
		</div>
		</div>
		  </div>
		</div></div>
	<p:dialog header="Modal Dialog" widgetVar="dlg2" modal="true" height="100">
	<h:outputText value="choose your justification image to send it to HR Manager" />
    <p:fileUpload  value="#{imageBean.path}" class="btn btn-facebook btn-block" mode="simple" skinSimple="true"/>
    <h:form>
     <h:commandLink action="#{imageBean.sendMail()}" value="send" />
    </h:form>
</p:dialog>   
		<ui:include src="Footer.xhtml" />
		  
		</body>
		</html>
</ui:composition>